.m-token-withdraw {
  margin-bottom: $minds-padding;
  padding: $minds-padding * 2;

  .m-token-withdraw--form {
    display: flex;
    margin-bottom: $minds-padding;

    .m-token-withdraw--input,
    .m-token-withdraw--submit-button {
      appearance: none;
      font-size: 14px;
      border-radius: 0;
    }

    .m-token-withdraw--input {
      padding: $minds-padding;
      font-weight: 500;
      letter-spacing: 1px;
      line-height: 1.35;
      width: 15em;
      text-align: right;

      @include m-theme() {
        border: 1px solid themed($m-grey-50);
      }
    }

    .m-token-withdraw--submit-button {
      margin-left: $minds-padding;
      padding: $minds-padding ($minds-padding * 4);
      background: none;
      font-family: inherit;
      font-weight: 400;
      letter-spacing: 2.33px;
      text-transform: uppercase;
      cursor: pointer;

      @include m-theme() {
        border: 1px solid themed($m-grey-700);
        color: themed($m-grey-700);
      }

      &[disabled] {
        cursor: default;
        opacity: 0.35;
      }
    }

    .mdl-spinner {
      margin-left: $minds-padding;
    }
  }

  .m-token-withdraw--error {
    @include m-theme() {
      color: themed($m-red);
    }
    font-size: 12px;
    letter-spacing: 1px;
  }

  &:last-child {
    margin-bottom: 0;
  }
}
